## mx4j.remote.resolver.iiop
Class IIOPResolver

    java.lang.Object
      mx4j.remote.ProviderHelper
          mx4j.remote.ConnectionResolver
              mx4j.remote.resolver.rmi.RMIResolver
                  mx4j.remote.resolver.iiop.IIOPResolver

public class IIOPResolver
extends RMIResolver

Version:
  $Revision: 1.12 $

Constructor Summary
`IIOPResolver()`

Method Summary
`java.lang.Object` `bindClient(java.lang.Object client, java.util.Map environment)` Connects the client returned by `RMIResolver.lookupClient(javax.management.remote.JMXServiceURL, java.util.Map)` to the server side.
`javax.management.remote.JMXServiceURL` `bindServer(java.lang.Object server, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Binds the server created by `RMIResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)` to a place specified by the JMXServiceURL.
`protected javax.management.remote.rmi.RMIServerImpl` `createRMIServer(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`protected javax.management.remote.rmi.RMIServer` `decodeStub(javax.management.remote.JMXServiceURL url, java.util.Map environment)`
`void` `destroyServer(java.lang.Object server, javax.management.remote.JMXServiceURL url, java.util.Map environment)` Destroys the server created by `RMIResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)`, by cleaning up resources it may have requested at creation time
`protected java.lang.String` `encodeStub(javax.management.remote.rmi.RMIServerImpl rmiServer, java.util.Map environment)`
`protected boolean` `isEncodedForm(javax.management.remote.JMXServiceURL url)`
`protected javax.management.remote.rmi.RMIServer` `narrowRMIServerStub(java.lang.Object stub)`

Methods inherited from class mx4j.remote.resolver.rmi.RMIResolver
`createServer, lookupClient, lookupRMIServerStub, unbindServer`

Methods inherited from class mx4j.remote.ConnectionResolver
`newConnectionResolver`

Methods inherited from class mx4j.remote.ProviderHelper
`constructClassName, findSystemPackageList, getLogger, loadClass, normalizeProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPResolver

    public IIOPResolver()

Method Detail

### decodeStub

    protected javax.management.remote.rmi.RMIServer decodeStub(javax.management.remote.JMXServiceURL url,
                                                               java.util.Map environment)
                                                        throws java.io.IOException

  Overrides:
    `decodeStub` in class `RMIResolver`
  Throws:
    `java.io.IOException`

### narrowRMIServerStub

    protected javax.management.remote.rmi.RMIServer narrowRMIServerStub(java.lang.Object stub)

  Overrides:
    `narrowRMIServerStub` in class `RMIResolver`

### bindClient

    public java.lang.Object bindClient(java.lang.Object client,
                                       java.util.Map environment)
                                throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Connects the client returned by `ConnectionResolver.lookupClient(javax.management.remote.JMXServiceURL, java.util.Map)` to the server side.

  Overrides:
    `bindClient` in class `RMIResolver`
  Throws:
    `java.io.IOException`

### createRMIServer

    protected javax.management.remote.rmi.RMIServerImpl createRMIServer(javax.management.remote.JMXServiceURL url,
                                                                        java.util.Map environment)
                                                                 throws java.io.IOException

  Overrides:
    `createRMIServer` in class `RMIResolver`
  Throws:
    `java.io.IOException`

### bindServer

    public javax.management.remote.JMXServiceURL bindServer(java.lang.Object server,
                                                            javax.management.remote.JMXServiceURL url,
                                                            java.util.Map environment)
                                                     throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Binds the server created by `ConnectionResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)` to a place specified by the JMXServiceURL.

  Overrides:
    `bindServer` in class `RMIResolver`
  Throws:
    `java.io.IOException`

### encodeStub

    protected java.lang.String encodeStub(javax.management.remote.rmi.RMIServerImpl rmiServer,
                                          java.util.Map environment)
                                   throws java.io.IOException

  Overrides:
    `encodeStub` in class `RMIResolver`
  Throws:
    `java.io.IOException`

### isEncodedForm

    protected boolean isEncodedForm(javax.management.remote.JMXServiceURL url)

  Overrides:
    `isEncodedForm` in class `RMIResolver`

### destroyServer

    public void destroyServer(java.lang.Object server,
                              javax.management.remote.JMXServiceURL url,
                              java.util.Map environment)
                       throws java.io.IOException

  Description copied from class: `ConnectionResolver`
  Destroys the server created by `ConnectionResolver.createServer(javax.management.remote.JMXServiceURL, java.util.Map)`, by cleaning up resources it may have requested at creation time

  Overrides:
    `destroyServer` in class `RMIResolver`
  Throws:
    `java.io.IOException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.